## gsequencer 3.6.21

=== meson_options.txt ===
# Plugins
# TODO: move all options here
# The options can be reconfigured inside build dir using
# ex. meson configure -Dalsa=false
option('alsa', type: 'boolean', value: false,
       description: 'Enable Lnux alsa build')
option('w32api', type: 'boolean', value: false,
       description: 'Enable Windows build')
option('osxapi', type: 'boolean', value: false,
       description: 'Enable OSX build')
option('oss', type: 'boolean', value: false,
       description: 'Enable OSS')
option('core_audio', type: 'boolean', value: false,
       description: 'Enable core audio (OSX)')
option('jack', type: 'boolean', value: false,
       description: 'Enable jack')
option('pulse', type: 'boolean', value: false,
       description: 'Enable pulse')
option('wasapi', type: 'boolean', value: false,
       description: 'Enable wasapi (Windows)')
option('quartz', type: 'boolean', value: false,
       description: 'Enable quartz')
option('gstreamer', type: 'boolean', value: false,
       description: 'Enable gstreamer')
option('webkit', type: 'boolean', value: false,
       description: 'Enable webkit')
option('poppler', type: 'boolean', value: false,
       description: 'Enable poppler')

## gsequencer 0.5.9

=== debian/changelog ===
gsequencer (0.5.9-1) unstable; urgency=medium

  * Team upload.

  [Joël Krähemann]
  * Initial packaging (Closes: #788590)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 27 Jul 2015 23:24:57 +0200

=== debian/control ===
Source: gsequencer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
Build-Depends: debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 libgtk2.0-dev,
 libcairo2-dev,
 libinstpatch-dev,
 libsndfile1-dev,
 libxml2-dev,
 ladspa-sdk-dev,
 libasound2-dev,
 libao-dev,
 uuid-dev,
 docbook-xsl,
 docbook-xml,
 xsltproc
Standards-Version: 3.9.6
Homepage: http://gsequencer.org
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gsequencer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gsequencer.git

Package: gsequencer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hydrogen, hydrogen-drumkits, fluid-soundfont-gm, fluid-soundfont-gs, musescore-soundfont-gm
Description: Advanced Gtk+ Sequencer audio processing engine
 Advanced GTK+ Sequencer is intended to be used for music composition.
 It features a piano roll, as well as a synth, matrix editor, drum
 machine, soundfont2 player, mixer and an output panel. It’s designed to
 be highly configurable. You may add effects to its effect chain; and
 add or remove audio channels/pads. You may set up a fully functional
 network of engines, thus there is a link editor for linking audio lines.

## gsequencer 0.5.11

=== debian/changelog ===
gsequencer (0.5.11-1ubuntu1) wily; urgency=medium

  * Move library linking to LDADD to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Aug 2015 00:09:21 -0400

gsequencer (0.5.11-1) unstable; urgency=medium

  * New Upstream Version

  [ Joël Krähemann ]
  * Patch for building on different architectures than i386 and amd64

  [ IOhannes m zmölnig ]
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Aug 2015 22:17:29 +0200

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# build man page for gsequencer.1 midi2xml.1
override_dh_auto_build:
	xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl debian/midi2xml.1.xml
	xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl debian/gsequencer.1.xml
	dh_auto_build

# main packaging script based on dh7 syntax
%:
	dh $@  --with autoreconf

override_dh_clean:
	rm -f debian/gsequencer.1
	rm -f debian/midi2xml.1
	dh_clean

## gsequencer 0.6.37

=== debian/changelog ===
gsequencer (0.6.37-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/ld-as-needed.diff:
      + Move library linking to LDADD. Fix FTBFS with ld --as-needed.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 02 Jan 2016 00:35:36 +0100

gsequencer (0.6.37-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.37

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 14 Dec 2015 11:52:48 +0100

gsequencer (0.6.28-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.28

  [ IOhannes m zmölnig ]
  * Added debian/git-tuneclone.sh script

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Dec 2015 16:16:52 +0100

gsequencer (0.6.20-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.20
  * Moved compiler flags to debian/rules

  [ IOhannes m zmölnig ]
  * Dropped fixed-compiler-flag.diff
  * Removed menu-entry (as per tech-ctte decision on #741573)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Oct 2015 14:45:21 +0200

gsequencer (0.5.12-1) unstable; urgency=medium

  * Imported Upstream version 0.5.12

  [ Joël Krähemann ]
  * Removed patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Aug 2015 11:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
 Build-Depends: debhelper (>= 9),
  autotools-dev,
  dh-autoreconf,

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,11 @@
 override_dh_auto_build:
 	xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl debian/midi2xml.1.xml
 	xsltproc --nonet --param make.year.ranges 1 --param make.single.year.ranges 1 --param man.charmap.use.subset 0 -o debian/ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl debian/gsequencer.1.xml
-	dh_auto_build
+	dh_auto_build -- CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+
+override_dh_auto_install:
+	dh_auto_install
+	$(MAKE) DESTDIR=$$(pwd)/debian/gsequencer prefix=/usr install-html
 
 # main packaging script based on dh7 syntax
 %:

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://gsequencer.org/downloads/gsequencer-(.+)\.tar\.gz debian uupdate

## gsequencer 0.6.55

=== debian/changelog ===
gsequencer (0.6.55-1ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/ld-as-needed.diff:
      + Move library linking to LDADD. Fix FTBFS with ld --as-needed.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 06 Aug 2016 14:41:32 +0200

gsequencer (0.6.55-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.6.55

  [ IOhannes m zmölnig ]
  * Use https:// in Vcs-Git stanza

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Feb 2016 16:15:37 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  xsltproc
 Standards-Version: 3.9.6
 Homepage: http://gsequencer.org
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/gsequencer.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gsequencer.git
 
 Package: gsequencer

## gsequencer 0.7.122

=== debian/changelog ===
gsequencer (0.7.122-2) unstable; urgency=medium

  [ Joël Krähemann ]
  * Disabled ALSA on non-linux, and enabled OSS4 only on kFreeBSD
    (Closes: #852985)
  * Backported patches (from upstream) to fix crasher bugs related to thread
    safety and memory corruption.

 -- Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>  Wed, 01 Feb 2017 11:14:14 +0100

gsequencer (0.7.122-1) unstable; urgency=medium

  * New upstream version 0.7.122

  [ Joël Krähemann ]
  * Updated libags-audio0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Jan 2017 17:02:45 +0100

gsequencer (0.7.115-1) unstable; urgency=medium

  * New upstream version 0.7.115

  [ Joël Krähemann ]
  * Added dependency libx11-dev
  * Updated libags*0.symbols
  * Added additional header files to libags*-dev packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 12 Dec 2016 21:03:42 +0100

gsequencer (0.7.100-1) unstable; urgency=medium

  * New upstream version 0.7.100

  [ Joël Krähemann ]
  * Updated libags0.symbols
  * Fixed libags-* links to devhelp2 docs

  [ IOhannes m zmölnig ]
  * Added Multi-Arch:foreign to *-doc packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 11 Nov 2016 10:44:54 +0100

gsequencer (0.7.93-1) unstable; urgency=medium

  * New upstream version 0.7.93

  [ Joël Krähemann ]
  * updated libags.symbols and libags-audio.symbols

  [ IOhannes m zmölnig ]
  * Renamed symbols-files so they are applied to their packages

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 31 Oct 2016 21:07:35 +0100

gsequencer (0.7.90-1) unstable; urgency=medium

  * New upstream version 0.7.90
    (Closes: #836326, #836327, #836328)

  [ Joël Krähemann ]
  * Added OSS4 dependency because GSequencer supports your /dev/dsp now
  * Upstream only partially fixed overlinking fix is now in vcs
  * Added configure flag alsa needs to be enabled
  * Updated debian/rules to build gtk-doc properly
  * Removed obsolete patch
  * Added libsamplerate dependency because libags_audio uses it

  [ IOhannes m zmölnig ]
  * Removed unused patches

  [ Joël Krähemann ]
  * Initial *.symbols files

  [ IOhannes m zmölnig ]
  * Stripped debian-revision from .symbols files

  [ Joël Krähemann ]
  * Added liboss4-salsa alternative to libasound2
  * Removed unneeded dependency

  [ IOhannes m zmölnig ]
  * B-D on libjack-dev
  * Enabled ALSA-PCM only on linux

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Oct 2016 11:40:23 +0200

gsequencer (0.7.62-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * Imported Upstream version 0.7.62

  * Removed patches applied upstream
  * Fixed missing build dependencies

  * Split binary package
  * Use gtk-doc to generate documentation
  * Fixed libags-1.0.pc install package
  * Remove /usr/lib/*.la files after make install

  * gsequencer doc-base information
  * Removed unneeded doc-base files
  * libgsequencer-dev-doc doc-base information
  * Fixed descriptions about libraries and header files provided
  * Used --ignore-missing-info when calling dpkg-shlibdeps
  * Updated d/copyright due to directory renames
  * Updated d/control to new upstream web-site
  * Updated watch file and added GnuPG verification
  * Bumped standards version to 3.9.8

  * Removed libgsequencer* because it is private
  * Split out libags, libags-audio and libags-gui
  * removed libgsequencer related files
  * added Advanced Gtk+ Sequencer developer manual
  * Fixed underscore to score due to upstream changes
  * Fixed too long lines, package names and Depends field
  * Renamed install files to match package names
  * Fixed weak library dependency and tweaked descriptions
  * Fixed library path patterns

  [ IOhannes m zmölnig ]
  * Updated file filters in d/copyright
  * Got rid of brace-expressions in d/*.install
  * Fixed short descriptions of -doc packages
  * Created a detailed changelog from gbg-dch

  * Team upload.
  * Fixed sections for doc and dev packages
  * Extended long descriptions of doc packages
  * Doc packages are really arch:all

  * Fixed sections for lib*-dev packages
  * Fixed d/*.links file

  * Don't Recommend 'gsequencer' whenever possible.
  * Consistent package descriptions
  * Moved gsequencer-doc description near gsequencer
  * Stripped soname-version from -dev & -doc package names
  * Don't make libraries suggest installing dev packages
  * Tightened inter-package dependencies with versions
  * patch to remove extraneous -L flags from LDFLAGS
  * Dropped manpages from debian/
  * Removed prefix-overrides from d/rules
  * Dropped ${shlibs:Depends} from packages that don't contain binaries
  * Patch to reduce overlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 31 Aug 2016 16:26:53 +0200

=== debian/control ===
Source: gsequencer
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 9),
 autotools-dev,
 dh-autoreconf,
 pkg-config,
 libcunit1-dev,
 libgtk2.0-dev,
 libcairo2-dev,
 libx11-dev,
 libinstpatch-dev,
 libsndfile1-dev,
 libsamplerate-dev,
 libxml2-dev,
 ladspa-sdk,
 dssi-dev,
 lv2-dev,
 libgmp-dev,
 libasound2-dev [linux-any],
 liboss4-salsa-dev [!linux-any],
 oss4-dev [kfreebsd-any],
 libjack-dev,
 uuid-dev,
 docbook-xsl,
 docbook-xml,
 gtk-doc-tools,
 xsltproc
Standards-Version: 3.9.8
Homepage: http://nongnu.org/gsequencer
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gsequencer.git

Package: gsequencer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libags0,
 libags-audio0,
 libags-gui0
Suggests: hydrogen, hydrogen-drumkits, fluid-soundfont-gm, fluid-soundfont-gs, musescore-soundfont-gm
Description: Advanced Gtk+ Sequencer audio processing engine
 Advanced GTK+ Sequencer is intended to be used for music composition.
 It features a piano roll, as well as a synth, matrix editor, drum
 machine, soundfont2 player, mixer and an output panel. It’s designed to
 be highly configurable. You may add effects to its effect chain; and
 add or remove audio channels/pads. You may set up a fully functional
 network of engines, thus there is a link editor for linking audio lines.

Package: gsequencer-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gsequencer
Description: documentation for Advanced Gtk+ Sequencer
 Advanced GTK+ Sequencer is intended to be used for music composition.
 .
 This package contains the user manual that explains the GUI in html format of
 Advanced Gtk+ Sequencer.

Package: libags0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Advanced Gtk+ Sequencer core library
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.

Package: libags-audio0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libags0 (= ${binary:Version})
Description: Advanced Gtk+ Sequencer audio processing library
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.

Package: libags-gui0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libags0 (= ${binary:Version})
Description: Advanced Gtk+ Sequencer widget library
 libags_gui is a widget library built upon Gtk+-2.0.
 It contains widgets like
  - LED
  - dial
  - indicator

Package: libags-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libags0 (>= ${source:Version}), libags0 (<< ${source:Upstream-Version}+1~)
Suggests: libags-doc
Description: Advanced Gtk+ Sequencer core library (Development files)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libags-dev,
 libags-audio0 (>= ${source:Version}), libags-audio0 (<< ${source:Upstream-Version}+1~)
Suggests: libags-audio-doc
Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libags-dev,
 libags-gui0 (>= ${source:Version}), libags-gui0 (<< ${source:Upstream-Version}+1~)
Suggests: libags-gui-doc
Description: Advanced Gtk+ Sequencer widget library (Development files)
 libags_gui is a widget library built upon Gtk+-2.0.
 .
 This package includes the needed header files to develop with
 Advanced Gtk+ Sequencer UI widget library.

Package: libags-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libags-dev
Description: Advanced Gtk+ Sequencer core library (API documentation)
 libags is a general purpose application context library built upon GObject
 providing persistence and configuration. It allows you to organize threads in
 a tree hierarchy that is synced 1000 times per second per default. Since it is
 written in a object orientated manner you might want to override its default
 behaviour.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer base library.

Package: libags-audio-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libags-audio-dev
Description: Advanced Gtk+ Sequencer audio processing engine (API documentation)
 libags_audio is a tree based audio processing library built upon GObject and
 libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
 plugin support. Audio data is processed multi-threaded.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer audio processing library.

Package: libags-gui-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libags-gui-dev
Description: Advanced Gtk+ Sequencer widget library (API documentation)
 libags_gui is a widget library built upon Gtk+-2.0.
 .
 This package contains the API reference in html format of
 Advanced Gtk+ Sequencer UI widget library.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --enable-gtk-doc --enable-gtk-doc-html


override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)

override_dh_auto_install:
	dh_auto_install
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-ags-docs
	rm -f $$(pwd)/debian/tmp/usr/share/gtk-doc/html/libags
	rm -f $$(pwd)/debian/tmp/usr/share/gtk-doc/html/libags_audio
	rm -f $$(pwd)/debian/tmp/usr/share/gtk-doc/html/libags_gui
	find $$(pwd)/debian/tmp/usr/lib -name "*.la" -exec rm -f '{}' ';'

# main packaging script based on dh7 syntax
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@  --with autoreconf

override_dh_clean:
	rm -rf docs/reference/libags/.libs/
	rm -f docs/reference/libags/html-build.stamp
	rm -f docs/reference/libags/html.stamp
	rm -f docs/reference/libags/libags-decl-list.txt
	rm -f docs/reference/libags/libags-decl.txt
	rm -f docs/reference/libags/libags-undeclared.txt
	rm -f docs/reference/libags/libags-undocumented.txt
	rm -f docs/reference/libags/libags-unused.txt
	rm -f docs/reference/libags/libags.args
	rm -f docs/reference/libags/libags.hierarchy
	rm -f docs/reference/libags/libags.interfaces
	rm -f docs/reference/libags/libags.prerequisites
	rm -f docs/reference/libags/libags.signals
	rm -f docs/reference/libags/scan-build.stamp
	rm -f docs/reference/libags/setup-build.stamp
	rm -f docs/reference/libags/sgml-build.stamp
	rm -f docs/reference/libags/sgml.stamp
	rm -f docs/reference/libags/tmpl-build.stamp
	rm -f docs/reference/libags/tmpl.stamp
	rm -rf docs/reference/libags/tmpl/
	rm -rf docs/reference/libags_audio/.libs/
	rm -f docs/reference/libags_audio/html-build.stamp
	rm -f docs/reference/libags_audio/html.stamp
	rm -f docs/reference/libags_audio/libags_audio-decl-list.txt
	rm -f docs/reference/libags_audio/libags_audio-decl.txt
	rm -f docs/reference/libags_audio/libags_audio-undeclared.txt
	rm -f docs/reference/libags_audio/libags_audio-undocumented.txt
	rm -f docs/reference/libags_audio/libags_audio-unused.txt
	rm -f docs/reference/libags_audio/libags_audio.args
	rm -f docs/reference/libags_audio/libags_audio.hierarchy
	rm -f docs/reference/libags_audio/libags_audio.interfaces
	rm -f docs/reference/libags_audio/libags_audio.prerequisites
	rm -f docs/reference/libags_audio/libags_audio.signals
	rm -f docs/reference/libags_audio/scan-build.stamp
	rm -f docs/reference/libags_audio/setup-build.stamp
	rm -f docs/reference/libags_audio/sgml-build.stamp
	rm -f docs/reference/libags_audio/sgml.stamp
	rm -f docs/reference/libags_audio/tmpl-build.stamp
	rm -f docs/reference/libags_audio/tmpl.stamp
	rm -rf docs/reference/libags_audio/tmpl/
	rm -rf docs/reference/libags_gui/.libs/
	rm -f docs/reference/libags_gui/html-build.stamp
	rm -f docs/reference/libags_gui/html.stamp
	rm -f docs/reference/libags_gui/libags_gui-decl-list.txt
	rm -f docs/reference/libags_gui/libags_gui-decl.txt
	rm -f docs/reference/libags_gui/libags_gui-undeclared.txt
	rm -f docs/reference/libags_gui/libags_gui-undocumented.txt
	rm -f docs/reference/libags_gui/libags_gui-unused.txt
	rm -f docs/reference/libags_gui/libags_gui.args
	rm -f docs/reference/libags_gui/libags_gui.hierarchy
	rm -f docs/reference/libags_gui/libags_gui.interfaces
	rm -f docs/reference/libags_gui/libags_gui.prerequisites
	rm -f docs/reference/libags_gui/libags_gui.signals
	rm -f docs/reference/libags_gui/scan-build.stamp
	rm -f docs/reference/libags_gui/setup-build.stamp
	rm -f docs/reference/libags_gui/sgml-build.stamp
	rm -f docs/reference/libags_gui/sgml.stamp
	rm -f docs/reference/libags_gui/tmpl-build.stamp
	rm -f docs/reference/libags_gui/tmpl.stamp
	rm -rf docs/reference/libags_gui/tmpl/
	dh_clean

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://download.savannah.gnu.org/releases/gsequencer/0.7.x/gsequencer-(.+)\.tar\.gz

## gsequencer 1.1.4

=== debian/changelog ===
gsequencer (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

  [ Joël Krähemann ]
  * updated libags-audio1.symbols
  * fixed missing full license AGPLv3+
  * dropped unnecessary 'Testsuite:' stanza from d/control
  * replaced old source code location by GNU savannah repository
  * modified watch to point to new minor release
  * bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 23 Oct 2017 14:24:58 +0200

gsequencer (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

  [ Joël Krähemann ]
  * Bumped package names due to new major version
  * Fixed variable names in 'get-orig-source' target
  * Updated d/watch for new upstream version

  [ IOhannes m zmölnig ]
  * Mangled upstream version in d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 03 Oct 2017 20:43:15 +0200

gsequencer (0.9.26-2) unstable; urgency=medium

  * Made build reproducible by removing leftover files from documentation
  * Dropped nonexistent files from d/copyright
  * Added DEP-3 headers to patches
  * Added d/source/local-options

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Sep 2017 13:41:55 +0200

gsequencer (0.9.26-1) unstable; urgency=medium

  * New upstream version 0.9.26

  [ Joël Krähemann ]
  * Updated libags0(-audio).symbols
  * Fixed libags(-gui|-audio|)-doc.links because path was modified
  * Possibility to specify download mirror for 'get-orig-source' target
  * Pass Debian specific filenames to build via CPPFLAGS
  * Removed functional tests patch because upstream disabled it anyway

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Cleaned up 'clean' target
  * Use pkg-info.mk for getting source package name and version

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Sep 2017 12:09:35 +0200

gsequencer (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14

  [ Joël Krähemann ]
  * Refreshed patch to remove hunk
  * Added missing libpulse-dev build-dependency
  * Exluded unit-test that fails unreproducible
  * Updated libags-audio0.symbols
  * Modified suggests to use new soundfont
    (Closes:#870791)
  * Updated debian/watch
  * d/rules: get-orig-source fetches the pgp signature as well
    (see d/README.source)

  [ IOhannes m zmölnig ]
  * Updated instructions on how to clone the package repository
  * Dropped Build-Dependencies implied by dh-10
  * Dropped duplicate definition of DEB_SOURCE_PACKAGE
  * Modernized Vcs-Browser stanza
  * Bumped standards version to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 22 Aug 2017 22:07:06 +0200

gsequencer (0.8.10-1) unstable; urgency=medium

  * New upstream version 0.8.10

  [ Joël Krähemann ]
  * Verified no soundcard works
    (Closes: #858283)
  * updated libags-audio0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 20 Jul 2017 10:57:19 +0200

gsequencer (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7

  [ Joël Krähemann ]
  * New upstream version 0.8.7
  * Refreshed patches
  * Updated libags(-audio|)0.symbols

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Jun 2017 21:41:46 +0200

gsequencer (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4

  [ Joël Krähemann ]
  * Removed patches since changes applied upstream
  * Enabled libinstpatch in debian/rules
  * Provided unit test fixes related to Bug#861908
  * Fixed libags-(audio-|gui-|)doc.install because they were using symlinks
  * Updated symbols file

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bumped standars version to 4.0.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 19 Jun 2017 13:45:21 +0200

gsequencer (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
    (Closes: #857936, #857935, #857931, #857937, #857934, #857948, #857947)
    (Closes: #857930, #857933, #857910, #857915)

  [ Joël Krähemann ]
  * Deleted patches included upstream
  * testing
    * Added DEP-8 test setup
    * Run auto test by xvfb-run because of functional tests
      * B-D on xvfb and xauth
    * Disabled functional tests that are likely to cause timeouts
  * documentation
    * doc-packages now install to /usr/share/gtk-doc
    * Added API documentation for libags-gui
  * Removed more files in 'clean' target
  * Extended description of libags-gui0
  * Updated libags(-audio|-gui|)0 symbols
  * Enabled parallel build
  * Updated d/watch file for 0.8.x branch
  * Bumped debhelper compat to 10

  [ IOhannes m zmölnig ]
  * Disabled parallel 'install' target

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 01 May 2017 22:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper (>= 9),
- autotools-dev,
- dh-autoreconf,
+Build-Depends:
+ debhelper (>= 10),
  pkg-config,
+ gettext,
  libcunit1-dev,
  libgtk2.0-dev,
  libcairo2-dev,
+ xvfb,
+ xauth,
  libx11-dev,
  libinstpatch-dev,
  libsndfile1-dev,
@@ -24,23 +26,31 @@
  liboss4-salsa-dev [!linux-any],
  oss4-dev [kfreebsd-any],
  libjack-dev,
+ libpulse-dev,
  uuid-dev,
  docbook-xsl,
  docbook-xml,
  gtk-doc-tools,
  xsltproc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://nongnu.org/gsequencer
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/gsequencer.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
 
 Package: gsequencer
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libags0,
- libags-audio0,
- libags-gui0
-Suggests: hydrogen, hydrogen-drumkits, fluid-soundfont-gm, fluid-soundfont-gs, musescore-soundfont-gm
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libags1,
+ libags-audio1,
+ libags-gui1,
+Suggests:
+ hydrogen,
+ hydrogen-drumkits,
+ fluid-soundfont-gm,
+ fluid-soundfont-gs,
+ timgm6mb-soundfont,
 Description: Advanced Gtk+ Sequencer audio processing engine
  Advanced GTK+ Sequencer is intended to be used for music composition.
  It features a piano roll, as well as a synth, matrix editor, drum
@@ -53,7 +63,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Recommends: gsequencer
 Description: documentation for Advanced Gtk+ Sequencer
  Advanced GTK+ Sequencer is intended to be used for music composition.
@@ -61,10 +72,12 @@
  This package contains the user manual that explains the GUI in html format of
  Advanced Gtk+ Sequencer.
 
-Package: libags0
+Package: libags1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
 Description: Advanced Gtk+ Sequencer core library
  libags is a general purpose application context library built upon GObject
  providing persistence and configuration. It allows you to organize threads in
@@ -72,33 +85,40 @@
  written in a object orientated manner you might want to override its default
  behaviour.
 
-Package: libags-audio0
+Package: libags-audio1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libags0 (= ${binary:Version})
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libags1 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer audio processing library
  libags_audio is a tree based audio processing library built upon GObject and
  libags. It allows  you to do audio processing supporting LADSPA, DSSI and Lv2
  plugin support. Audio data is processed multi-threaded.
 
-Package: libags-gui0
+Package: libags-gui1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libags0 (= ${binary:Version})
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libags1 (= ${binary:Version}),
 Description: Advanced Gtk+ Sequencer widget library
  libags_gui is a widget library built upon Gtk+-2.0.
  It contains widgets like
   - LED
   - dial
   - indicator
+  - cartesian
+  - ruler
 
 Package: libags-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
- libags0 (>= ${source:Version}), libags0 (<< ${source:Upstream-Version}+1~)
+Depends:
+ ${misc:Depends},
+ libags1 (>= ${source:Version}), libags1 (<< ${source:Upstream-Version}+1~),
 Suggests: libags-doc
 Description: Advanced Gtk+ Sequencer core library (Development files)
  libags is a general purpose application context library built upon GObject
@@ -113,9 +133,10 @@
 Package: libags-audio-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
+ ${misc:Depends},
  libags-dev,
- libags-audio0 (>= ${source:Version}), libags-audio0 (<< ${source:Upstream-Version}+1~)
+ libags-audio1 (>= ${source:Version}), libags-audio1 (<< ${source:Upstream-Version}+1~),
 Suggests: libags-audio-doc
 Description: Advanced Gtk+ Sequencer audio processing engine (Development files)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -128,9 +149,10 @@
 Package: libags-gui-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
+Depends:
+ ${misc:Depends},
  libags-dev,
- libags-gui0 (>= ${source:Version}), libags-gui0 (<< ${source:Upstream-Version}+1~)
+ libags-gui1 (>= ${source:Version}), libags-gui1 (<< ${source:Upstream-Version}+1~),
 Suggests: libags-gui-doc
 Description: Advanced Gtk+ Sequencer widget library (Development files)
  libags_gui is a widget library built upon Gtk+-2.0.
@@ -142,7 +164,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Recommends: libags-dev
 Description: Advanced Gtk+ Sequencer core library (API documentation)
  libags is a general purpose application context library built upon GObject
@@ -158,7 +181,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Recommends: libags-audio-dev
 Description: Advanced Gtk+ Sequencer audio processing engine (API documentation)
  libags_audio is a tree based audio processing library built upon GObject and
@@ -172,7 +196,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Recommends: libags-gui-dev
 Description: Advanced Gtk+ Sequencer widget library (API documentation)
  libags_gui is a widget library built upon Gtk+-2.0.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

archconfflags :=

ifeq ($(DEB_HOST_ARCH_OS),linux)
  archconfflags += --enable-alsa
else
  archconfflags += --disable-alsa
endif


ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
  archconfflags += --enable-oss
else
  archconfflags += --disable-oss
endif

archconfflags += --enable-libinstpatch --enable-gtk-doc --enable-gtk-doc-html

# provide some system dependent configuration as a C macro
CPPFLAGS += -DAGS_RC_FILENAME=\"/usr/share/gsequencer/styles/ags.rc\"
CPPFLAGS += -DAGS_ANIMATION_FILENAME=\"/usr/share/gsequencer/images/ags_supermoon-800x450.png\"
CPPFLAGS += -DAGS_LOGO_FILENAME=\"/usr/share/gsequencer/images/ags.png\"
CPPFLAGS += -DAGS_LICENSE_FILENAME=\"/usr/share/common-licenses/GPL-3\"

# Gets only the upstream version of the package
DEB_UPSTREAM_MINOR_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r 's/([0-9]+).([0-9]+).([0-9]+)/\1.\2.x/')

# Sets build tarball-dir if not provided by command line
TARBALL_DIR ?= ../tarballs

# Sets export-dir if not provided by command line
EXPORT_DIR ?= ../build-area

# Sets download mirror if not provided by command line
DOWNLOAD_MIRROR ?= http://download.savannah.gnu.org/releases/gsequencer

get-orig-source:
	mkdir -p $(TARBALL_DIR)
	mkdir -p $(EXPORT_DIR)
	wget --method=GET -O "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz" -c "$(DOWNLOAD_MIRROR)/$(DEB_UPSTREAM_MINOR_VERSION)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz"
	wget --method=GET -O "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" -c "$(DOWNLOAD_MIRROR)/$(DEB_UPSTREAM_MINOR_VERSION)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz.sig"
	ln -s "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" $(EXPORT_DIR)

override_dh_auto_configure:
	dh_auto_configure -- $(archconfflags)
	$(MAKE) gen-symbols-all

override_dh_auto_build:
	dh_auto_build --parallel

override_dh_auto_test:
	xvfb-run --server-args="-screen 0 1920x1080x24" -a dh_auto_test

override_dh_auto_install:
	dh_auto_install --no-parallel
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install-html
	find $$(pwd)/debian/tmp/usr/share -type f \
		\( -name "htmlhelp.hhp" -or -name "toc.hhc" \) \
		-delete
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-doc/api/libags
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-audio-doc/api/libags-audio
	rm -f $$(pwd)/debian/tmp/usr/share/doc/libags-gui-doc/api/libags-gui
	find $$(pwd)/debian/tmp/usr/lib -type f -name "*.la" -delete

# main packaging script based on dh7 syntax
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@

override_dh_clean:
	rm -f docs/reference/libgsequencer/libgsequencer-sections.txt
	find docs/ -type f -name "*.stamp" -delete
	find docs/ -type f \( \
		   -name "*-decl-list.txt" \
		-o -name "*-decl.txt" \
		-o -name "*-undeclared.txt" \
		-o -name "*-undocumented.txt" \
		-o -name "*-unused.txt" \
		\) -delete
	find docs/ -type f \( \
		   -name "*.args" \
		-o -name "*.hierarchy" \
		-o -name "*.interfaces" \
		-o -name "*.prerequisites" \
		-o -name "*.signals" \
		\) -delete
	rm -f docs/reference/libgsequencer/libgsequencer.types
	find docs/ -type d -name ".libs" -exec rm -rf {} +
	find docs/ -type d -name "tmpl" -exec rm -rf {} +
	dh_clean

=== debian/tests/control ===
Tests: ags-integration-test
Depends:
	cmt,
	swh-lv2,
	fluid-soundfont-gm,
	hydrogen-data,
	gsequencer,
	libags-dev,
	libags-audio-dev,
	libags-gui-dev,
	automake,
	autoconf,
	make,
	gcc,
	xvfb,
	libgtk2.0-dev,
Restrictions: isolation-machine

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/-(alpha|beta|rc)/~\\1/,pgpsigurlmangle=s/$/.sig/ http://download.savannah.gnu.org/releases/gsequencer/1.1.x/gsequencer-(.+)\.tar\.gz

## gsequencer 1.2.1

=== debian/changelog ===
gsequencer (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

  [ Joël Krähemann ]
  * Refreshed patches
    * Removed patches applied upstream
    * Provided patch to enable integration tests
  * Removed libgmp dependency
  * Updated autopkgtests
    * Fixed dependencies
    * Restrictions: isolation and stderr
    * Run integration tests using xvfb-run
    * Fixed pre-integration-test target and provide LD_LIBRARY_PATH
      (both multi-arch and non-multi-arch)
  * Added pre-integration-test target

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed generated lib*.sym files in 'clean' target
  * Updated libags(-audio|-gui|)1.symbols
  * Use https:// in d/watch
  * Bumped standards version to 4.1.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 13 Dec 2017 15:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper (>= 10),
  pkg-config,
@@ -21,7 +21,6 @@
  ladspa-sdk,
  dssi-dev,
  lv2-dev,
- libgmp-dev,
  libasound2-dev [linux-any],
  liboss4-salsa-dev [!linux-any],
  oss4-dev [kfreebsd-any],
@@ -31,8 +30,8 @@
  docbook-xsl,
  docbook-xml,
  gtk-doc-tools,
- xsltproc
-Standards-Version: 4.1.1
+ xsltproc,
+Standards-Version: 4.1.2
 Homepage: http://nongnu.org/gsequencer
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/-(alpha|beta|rc)/~\\1/,pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.gnu.org/releases/gsequencer/1.2.x/gsequencer-(.+)\.tar\.gz

## gsequencer 1.3.6

=== debian/changelog ===
gsequencer (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6

  [ Joël Krähemann ]
  * provide API reference manual fix of libgsequencer.xml because removed file
  * Updated libags(-audio|-gui|)1 symbols
    * Documented howto update debian/*.symbols files
  * Modified debian/watch since directory changed
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 09 Jan 2018 15:47:17 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://nongnu.org/gsequencer
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git

=== debian/watch ===
# watch control file for uscan
version=3
opts=uversionmangle=s/-(alpha|beta|rc)/~\\1/,pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.gnu.org/releases/gsequencer/1.3.x/gsequencer-(.+)\.tar\.gz

## gsequencer 1.4.24

=== debian/changelog ===
gsequencer (1.4.24-1ubuntu2) bionic; urgency=medium

  * debian/patches/fix-missing-symbol.patch: keep the tests disabled.

 -- Joël Krähemann <jkraehemann@gmail.com>  Sat, 14 Apr 2018 03:39:29 -0700

gsequencer (1.4.24-1ubuntu1) bionic; urgency=medium

  * debian/patches/fix-ags-recall-audio-run-connectable-interface.patch:
    fix AgsRecallAudioRun connectable interface.  Closes LP: #1762564.
  * debian/patches/fix-missing-symbol.patch: fix not exportet symbol
    ags_widget_cclosure_marshal_VOID__STRING_INT().  Closes LP: #1762576.
  * debian/patches/fix-ags-recall-stop-persistent.patch: fix
    ags_recall_stop_persistent().  Closes LP: #1762578.

 -- Joël Krähemann <jkraehemann@gmail.com>  Thu, 12 Apr 2018 09:22:04 -0700

gsequencer (1.4.24-1) unstable; urgency=medium

  * New upstream version 1.4.24

  [ Joël Krähemann ]
  * Updated libags-audio1.symbols
  * Updated debian/watch to a more stable URL

  [ IOhannes m zmölnig ]
  * Use https:// for upstream URLs

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Mar 2018 20:36:01 +0200

gsequencer (1.4.19-1) unstable; urgency=medium

  * New upstream version 1.4.19

  [ Joël Krähemann ]
  * Updated debian/watch for 1.4.x series
  * Updated libags(-audio|-gui|)1.symbols
  * Added Depends on libpulse-mainloop-glib0

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Feb 2018 22:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
@@ -26,15 +27,16 @@
  oss4-dev [kfreebsd-any],
  libjack-dev,
  libpulse-dev,
+ libpulse-mainloop-glib0,
  uuid-dev,
  docbook-xsl,
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
 Standards-Version: 4.1.3
-Homepage: http://nongnu.org/gsequencer
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/gsequencer.git
+Homepage: https://nongnu.org/gsequencer
+Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer
 
 Package: gsequencer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,10 @@
 	wget --method=GET -O "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" -c "$(DOWNLOAD_MIRROR)/$(DEB_UPSTREAM_MINOR_VERSION)/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM).tar.gz.sig"
 	ln -s "$(TARBALL_DIR)/$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz.asc" $(EXPORT_DIR)
 
+pre-integration-test:
+	dh_autoreconf
+	dh_auto_configure -- --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) $(archconfflags)
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(archconfflags)
 	$(MAKE) gen-symbols-all
@@ -95,4 +99,5 @@
 	rm -f docs/reference/libgsequencer/libgsequencer.types
 	find docs/ -type d -name ".libs" -exec rm -rf {} +
 	find docs/ -type d -name "tmpl" -exec rm -rf {} +
+	rm lib*.sym
 	dh_clean

=== debian/tests/control ===
Tests: ags-integration-test
Depends: @builddeps@,
	 dpkg-dev,
	 fakeroot,
	 cmt,
	 swh-lv2,
	 fluid-soundfont-gm,
	 hydrogen-data,
	 gsequencer,
	 libags-dev,
	 libags-audio-dev,
	 libags-gui-dev,
	 pulseaudio,
Restrictions: isolation-container, allow-stderr

## gsequencer 1.4.29

=== debian/changelog ===
gsequencer (1.4.29-1) unstable; urgency=medium

  * New upstream version 1.4.29

  [ Joël Krähemann ]
  * Replaced my now invalid alioth email address

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 09 May 2018 11:03:07 +0200

gsequencer (1.4.25-1) unstable; urgency=medium

  * New upstream version 1.4.25

  [ Joël Krähemann ]
  * Fixed uploader email address
  * Fixed test dependency
  * Updated libags-gui1.symbols

  [ IOhannes m zmölnig ]
  * Updated maintainer address
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 Apr 2018 23:35:19 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	 cmt,
 	 swh-lv2,
 	 fluid-soundfont-gm,
-	 hydrogen-data,
+	 hydrogen-drumkits,
 	 gsequencer,
 	 libags-dev,
 	 libags-audio-dev,

## gsequencer 1.4.32

=== debian/changelog ===
gsequencer (1.4.32-1) unstable; urgency=medium

  [ Joël Krähemann ]
  * New upstream version 1.4.32

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 22 Jun 2018 22:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: gsequencer
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Joël Krähemann <jkraehemann-guest@users.alioth.debian.org>,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Joël Krähemann <jkraehemann@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper (>= 10),
@@ -33,7 +32,7 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer

## gsequencer 1.4.34

=== debian/changelog ===
gsequencer (1.4.34-1) unstable; urgency=medium

  * New upstream version 1.4.34

  [ Joël Krähemann ]
  * updated libags-audio1.symbols because new symbols available

  [ IOhannes m zmölnig ]
  * Don't require root for building
  * Bumped standards to 4.1.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 16 Jul 2018 19:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
  docbook-xml,
  gtk-doc-tools,
  xsltproc,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: https://nongnu.org/gsequencer
 Vcs-Git: https://salsa.debian.org/multimedia-team/gsequencer.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gsequencer
